=== debian/changelog ===
ddb-waveform-seekbar-dmo (0.5-dmo3) unstable; urgency=medium

  * Add patch from Jbsco fork to fix build with GCC 14.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 15:50:08 +0100

ddb-waveform-seekbar-dmo (0.5-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 11:47:31 +0100

ddb-waveform-seekbar-dmo (0.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Feb 2017 16:48:38 +0100
