=== debian/control ===
Source: ddb-waveform-seekbar-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/cboxdoerfer/ddb_waveform_seekbar
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), deadbeef-plugins-dev, libsqlite3-dev,
 libgtk-3-dev, quilt,

Package: deadbeef-waveform-seekbar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef
Description: Waveform Seekbar plugin for DeaDBeeF
 Waveform Seekbar plugin for DeaDBeeF
