=== debian/rules ===
#!/usr/bin/make -f

#export DEB_CFLAGS_MAINT_APPEND = -DDDB_API_LEVEL=15

%:
	dh $@ --with quilt

override_dh_auto_build:
	$(MAKE) gtk3

override_dh_install:
	dh_install gtk3/ddb_misc_waveform_GTK3.so	usr/lib/$(DEB_HOST_MULTIARCH)/deadbeef
