=== debian/watch ===
version=4

https://github.com/cboxdoerfer/ddb_waveform_seekbar/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
